Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.command
Class AuditVariableInstanceLogQueryCommand

    java.lang.Object
      org.jbpm.process.audit.command.AuditCommand<List<VariableInstanceLog>>
          org.jbpm.process.audit.command.AuditVariableInstanceLogQueryCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<VariableInstanceLog>>, Command<List<VariableInstanceLog>>

    public class AuditVariableInstanceLogQueryCommand

extends AuditCommand<List<VariableInstanceLog>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.process.audit.command.AuditCommand
`auditLogService`

Constructor Summary
`AuditVariableInstanceLogQueryCommand()`
`AuditVariableInstanceLogQueryCommand(org.kie.internal.query.data.QueryData queryData)`

Method Summary
`List<VariableInstanceLog>` | `execute(org.kie.internal.command.Context context)`

Methods inherited from class org.jbpm.process.audit.command.AuditCommand
`setAuditLogService, setLogEnvironment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditVariableInstanceLogQueryCommand

    public AuditVariableInstanceLogQueryCommand()

### AuditVariableInstanceLogQueryCommand

    public AuditVariableInstanceLogQueryCommand(org.kie.internal.query.data.QueryData queryData)

Method Detail

### execute

    public List<VariableInstanceLog> execute(org.kie.internal.command.Context context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.